BillKit/Docs Console
Events

Get event

Retrieve one event, including the full data payload it carried.

GET/v1/events/{event_id}
Operation get_event · Scope events:read · Spec snapshot 2026-09-13

Parameters

ParameterDescription
event_idstring · pathrequiredNo description in the spec.

Returns

Returns an EventResponse object.

Errors

Status Cause
401 Missing or invalid API key.
403 Key is missing the events:read scope.
404 No such object, or it belongs to the other mode.
422 Validation Error
429 Rate limited. Back off and retry.
Request · curl
curl -X GET https://api.billkit.eu/v1/events/evt_9XKp2vQ1 \
  -H "Authorization: Bearer $BILLKIT_SECRET_KEY"
Response · 200 OK
{
  "created": 1789392000,
  "customer": {
    "country_code": "NL",
    "email": "ada@example.com",
    "id": "obj_9XKp2vQ1",
    "name": "Ada Lovelace",
    "object": "customer.summary"
  },
  "data": {
    "key": "value"
  },
  "id": "evt_9XKp2vQ1",
  "livemode": false,
  "object": "event",
  "type": "string"
}